#ifndef PLOTTURNS_H
#define PLOTTURNS_H

#include <QWidget>
#include "../misc/fixc11.h"
#include "../sensors/TurnSensor.h"
#include "../sensors/CompassSensor.h"

#include <Indoor/data/Timestamp.h>

class PlotTurns : public QWidget {

	Q_OBJECT

private:

	TurnData turnData;
	CompassData compassData;

public:

	explicit PlotTurns(QWidget *parent = 0);

	void add(const Timestamp ts, const TurnData& data);

	void add(const Timestamp ts, const CompassData& data);

signals:

public slots:

	void paintEvent(QPaintEvent*);

};

#endif // PLOTTURNS_H
